# TTreeProjectionTransform Class Reference
[Data Structures]

Inheritance diagram for TTreeProjectionTransform:

List of all members.

## Public Member Functions
| TTreeProjectionTransform ()
| ~TTreeProjectionTransform ()
const TTransform3D * | GetTransform () const
const TPlane * | GetPlane () const
const TTransform3D * | GetEyeTransform () const
const TTransform3D * | GetEyeInverseTransform () const
const I3DShCamera * | GetProjection () const
void | SetTransform (const TTransform3D *aT)
void | SetPlane (const TPlane *aT)
void | SetEyeTransform (const TTransform3D *aT, const TTransform3D *aInvT)
void | SetProjection (I3DShCamera *aproj)
boolean | Transform (const TVector3 &PP, TVector2 &RR, ConTransformPoints *inter=0, boolean alreadyGlobal=false) const
boolean | InverseTransform (const TVector2 &iPoint, TVector2 &pPoint, ConInverseTransformPoints *inter=0) const
boolean | TransformLine (const TVector3 &P1, const TVector3 &P2, TVector3 &R1, TVector3 &R2) const
boolean | TransformPoint (const TVector3 &P1, TVector3 &R1) const
boolean | InverseTransform (const TVector2 &iPoint, TVector2 &pPoint, ConInverseTransformPoints *inter, TStraightLine *aline) const
boolean | IsCameraIsometric () const
## Protected Attributes
TTransform3D | fT
boolean | fHasT
boolean | fIsCameraIsometric
const TPlane * | fPlane
const TTransform3D * | fEyeT
const TTransform3D * | fEyeInvT
I3DShCamera * | fProj

## Detailed Description

TTreeProjectionTransform is a pipeline of transforms:
local => global => plane projection => eye => 2D projection

## Constructor & Destructor Documentation

TTreeProjectionTransform::TTreeProjectionTransform | ( |  | ) |

TTreeProjectionTransform::~TTreeProjectionTransform | ( |  | ) |

## Member Function Documentation

const TTransform3D* TTreeProjectionTransform::GetEyeInverseTransform | ( |  | ) | const`[inline]`

const TTransform3D* TTreeProjectionTransform::GetEyeTransform | ( |  | ) | const`[inline]`

const TPlane* TTreeProjectionTransform::GetPlane | ( |  | ) | const`[inline]`

const I3DShCamera* TTreeProjectionTransform::GetProjection | ( |  | ) | const`[inline]`

const TTransform3D* TTreeProjectionTransform::GetTransform | ( |  | ) | const`[inline]`

boolean TTreeProjectionTransform::InverseTransform | ( | const TVector2 & | iPoint,
|  | TVector2 & | pPoint,
|  | ConInverseTransformPoints * | inter,
|  | TStraightLine * | aline |
| ) |  |  | const

boolean TTreeProjectionTransform::InverseTransform | ( | const TVector2 & | iPoint,
|  | TVector2 & | pPoint,
|  | ConInverseTransformPoints * | inter = `0` |
| ) |  |  | const

boolean TTreeProjectionTransform::IsCameraIsometric | ( |  | ) | const`[inline]`

void TTreeProjectionTransform::SetEyeTransform | ( | const TTransform3D * | aT,
|  | const TTransform3D * | aInvT |
| ) |  |  |

void TTreeProjectionTransform::SetPlane | ( | const TPlane * | aT | ) | `[inline]`

void TTreeProjectionTransform::SetProjection | ( | I3DShCamera * | aproj | ) |

void TTreeProjectionTransform::SetTransform | ( | const TTransform3D * | aT | ) |

boolean TTreeProjectionTransform::Transform | ( | const TVector3 & | PP,
|  | TVector2 & | RR,
|  | ConTransformPoints * | inter = `0`,
|  | boolean | alreadyGlobal = `false` |
| ) |  |  | const

boolean TTreeProjectionTransform::TransformLine | ( | const TVector3 & | P1,
|  | const TVector3 & | P2,
|  | TVector3 & | R1,
|  | TVector3 & | R2 |
| ) |  |  | const

boolean TTreeProjectionTransform::TransformPoint | ( | const TVector3 & | P1,
|  | TVector3 & | R1 |
| ) |  |  | const

## Member Data Documentation

const TTransform3D* TTreeProjectionTransform::fEyeInvT`[protected]`

const TTransform3D* TTreeProjectionTransform::fEyeT`[protected]`

boolean TTreeProjectionTransform::fHasT`[protected]`

boolean TTreeProjectionTransform::fIsCameraIsometric`[protected]`

const TPlane* TTreeProjectionTransform::fPlane`[protected]`

I3DShCamera* TTreeProjectionTransform::fProj`[protected]`

TTransform3D TTreeProjectionTransform::fT`[protected]`

The documentation for this class was generated from the following file:

- TreeProjectionTransform.h